@import "../../../assets/scss/global";

.menu-mobile-wrapper {
    .menu-dropdown {
        position: fixed;
        right: 0;
        top: 64px;
        min-width: 260px;
        bottom: 0;
        border-bottom-right-radius: 0;
        border-top-right-radius: 0;
        animation: slideRightOpen .4s;
        z-index: 2;

        @include largeScreen {
            top: 70px;
            right: 20px;
            border-radius: 12px;
            height: initial;
        }
    }

    .item {
        display: flex;
        align-items: center;
        height: 40px;

        &.active{
            color: $primary-color;
        }
    }

    .switch-language {
        width: 100%;
        display: flex;
        align-items: center;
        flex: 1;
        padding-bottom: 10px;
        border-bottom: 1px solid $grey-color2;

        p {
            width: 50%;
            color: $grey-color2;
        }
    }

    .contact-info {
        border-top: 1px solid $grey-color2;
        padding-top: 10px;
        display: flex;
        flex-direction: column;
        row-gap: 10px;

        p {
            font-weight: 500;
            font-size: 13px;
            line-height: 17px;
            color: $dark-color;
        }

        svg {
            margin: 0 5px -5px 0;
        }
    }
}
